Subject: bug#8550: A libtool question (trying to compile with MS VC++ from VS 2008 SP1)

From: Peter Rosin <[email-masked]>
Date: Tue, 26 Apr 2011 10:35:29 +0200

Hi Robert,

Den 2011-04-25 19:01 skrev Robert A. Lerche:
> Hi.
> 
> I am a consultant working for a large client on a high-profile
> security-related project.
> 
> [trying to build libtool-2.4 with MSVC++]
> 
> I'm trying to introduce use of open source software instead of
> proprietary systems.  The particular project uses Python for the
> client, with OpenSSL for secure communications and a dynamic engine to
> talk to a hardware security device.
> 
> This lash-up requires engine_pkcs11 and libp11, so in turn I need
> libtool.
> 
> I have been able to compile everything with "pure Microsoft" tools
> *except* libtool.
> 
> During development, as a workaround, I'm using MinGW/MSYS.  This
> works.  However, I'd like to eliminate that dependency (various .dll
> files) if possible.
> 
> I've seen tantalizing hints of MS VC++ support in a couple of posts on
> Savannah but when I try to build libtool with the MS compiler I'm
> getting stuck.  I have set up a PATH that includes MSYS for the tools
> but omits gcc.  This almost works.
> 
> I attach a log of the current spot where my build fails.  
> 
> Thanks for any help you can give me.

I see one piece missing piece, and that is the archiver which isn't
autodetected by autotools (yet, a patch has been suggested, but it is
pending review, or something). The MS archiver (lib.exe) isn't anything like
a POSIX archiver (ar), so you need a wrapper for it. I suggest the ar-lib
wrapper included in Automake. However, there's no released version of
Automake that supplies it (yet), so I have attached it here for your
convenience.

I use it like this: .../configure AR="/path/to/ar-lib lib", but you may also
export AR if you like that better.

I think that should be it.

Cheers,
Peter